package com.mobvcasting.webviewlocal;

import android.app.Activity;
import android.os.Bundle;
import android.os.Handler;
import android.webkit.WebChromeClient;
import android.webkit.WebSettings;
import android.webkit.WebView;
import android.webkit.JsResult;

public class WebviewLocal extends Activity {

	WebView webview;
	 
    private Handler handler = new Handler();
	
	@Override
    public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		
        webview = new WebView(this);		
        setContentView(webview);

        // Enable JavaScript overall
        WebSettings settings = webview.getSettings();
        settings.setJavaScriptEnabled(true);
        
        // Enable JavaScript Alerts
        webview.setWebChromeClient(new WebChromeClient() {
        	public boolean onJSAlert(WebView view, String url, String message, JsResult result)
        	{
        		
        		return true;
        	}
        });
               
        //webview.addJavascriptInterface(obj, interfaceName);
        webview.addJavascriptInterface(new JSInterface(), "jsinterface");

        //webview.loadUrl("http://www.mobvcasting.com/mmtest/index.html");
        // File in "assets" folder
        webview.loadUrl("file:///android_asset/local.html");
    }

	public class JSInterface {

		//window.jsinterface.specialClick()
        /**
         * This is not called on the UI thread. Post a runnable to invoke
         * loadUrl on the UI thread.
         */
        public void specialClick() {
            handler.post(new Runnable() {
                public void run() {
                    webview.loadUrl("javascript:alert('Special Click Was Called');");
                 }
            });
        }		
	}	
}

	

